/* 
* AMXModX script. 
* This file is provided as is (no warranties). 
* 
* Automatic Map-Restart after xx Seconds 
*  by ToT|V!PER (viper@totclan.de) 
* 
* Homepage: http://www.totclan.de 
* IRC-Chan: #totclan @ irc.de.quakenet.org 
* 
* ------------------------------------------------------- 
* Changelog: (Last-Update 07.01.2005)
* V1.00: Complete Rewrite, removed many useless functions
* V0.92: Complete Rewrite + added admin functions
*        - option to use hud + client-says
* V0.5 : First Public Release 
* ------------------------------------------------------- 
* 
* Put in amxx.cfg or server.cfg: 
* 
* amx_auto_rr_time < float > (default: 20 seconds) 
* Example: 
* -> amx_auto_rr_time 45.0 = Restart after 45 Seconds 
* 
*/

#include <amxmodx>

new restart_counter, restart_times

public restart_time()   
	set_task (get_cvar_float("amx_autorestart"),"restart_map",0)   

public restart_map() {     
	set_task (3.0, "restart_round", 0,_,_,"a",get_pcvar_num(restart_times))
   }   

public restart_round()
{
	if(restart_counter == 0)
	{
	      set_hudmessage(0, 100, 200, 0.05, 0.65, 2, 0.02, 6.0, 0.01, 0.1, 2)     
	      show_hudmessage(0,"Auto Restart !")    
	}
	set_cvar_float("sv_restart",2.0)   	
	restart_counter++

	if(restart_counter == get_pcvar_num(restart_times))
	{
		set_hudmessage(0, 100, 200, 0.05, 0.65, 2, 0.02, 6.0, 0.01, 0.1, 2)     
		show_hudmessage(0,"LIVE !")    
		set_cvar_num("mp_friendlyfire", 1)
	}
}

public plugin_init() {   
	register_plugin("Auto-Restart","1.00","ToT | V!PER")   
	register_event("TextMsg","restart_time","a","2&#Game_C")   
	register_cvar("amx_autorestart","20.0")
	set_cvar_num("mp_friendlyfire", 0)

	restart_times = register_cvar("amx_autorestart_times", "3")
	return PLUGIN_CONTINUE     
}
